import 'package:flutter/material.dart';

import 'package:queuedisplay/screen/customer_service_dedicatedv2.dart';

import 'package:queuedisplay/screen/settings/setting_screen_counter_dedicated.dart';

const customerServiceDedicatedRoute = '/customerServiceDedicatedRoute';
const layananDokterRoute = '/layananDokterScreenRoute';
const pengambilanDarahRoute = '/pengambilanDarahScreenRoute';
const rontgenUsgRoute = '/rontgenUsgScreenRoute';
const settingRoute = '/settingRoute';

class AppRoute {
  static Route<dynamic>? generateRoute(RouteSettings settings) {
    if (settings.name == settingRoute) {
      return MaterialPageRoute(builder: (context) {
        return MediaQuery(
            data: MediaQuery.of(context).copyWith(
              textScaleFactor: 1.0,
              padding: const EdgeInsets.all(0),
            ),
            child: const SettingScreenCounterDedicated());
      });
    }
    if (settings.name == customerServiceDedicatedRoute) {
      return MaterialPageRoute(builder: (context) {
        return MediaQuery(
            data: MediaQuery.of(context).copyWith(
              textScaleFactor: 1.0,
              padding: const EdgeInsets.all(0),
            ),
            child: CustomerServiceDedicatedV2());
      });
    }

    return null;
  }
}
